[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] tests: fix false failure on loaded systems
From: |
Pádraig Brady |
Subject: |
[PATCH] tests: fix false failure on loaded systems |
Date: |
Mon, 1 Jun 2015 16:46:10 +0100 |
* tests/misc/uniq-perf.sh: Use our standard 10s timeout,
which is sufficient to trigger the failure and also
avoids a false failure on slow/loaded systems.
Noticed at http://hydra.nixos.org/build/22766288
---
tests/misc/uniq-perf.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/misc/uniq-perf.sh b/tests/misc/uniq-perf.sh
index bd113ac..b8bac97 100755
--- a/tests/misc/uniq-perf.sh
+++ b/tests/misc/uniq-perf.sh
@@ -20,6 +20,6 @@
print_ver_ uniq
seq 100 > in || fail=1
-timeout 1 uniq -f 10000000000 in || fail=1
+timeout 10 uniq -f 10000000000 in || fail=1
Exit $fail
--
2.4.1
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [PATCH] tests: fix false failure on loaded systems,
Pádraig Brady <=